<?php  
// TESTIMONIALS SECTION START HERE 

$wp_customize->add_section(
    'testimonials_area',
    array(
        'title'         => __( 'Testimonials Section', 'Luzuk Premium' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
    //ENABLE/DISABLE TESTIMONIALS SECTION
$wp_customize->add_setting(
    'testimonials_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'testimonials_area_disable',
        array(
            'settings'      => 'testimonials_area_disable',
            'section'       => 'testimonials_area',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        ) 
    )
);
 

backgroundManager($wp_customize, 'testimonials', 'testimonials_area', $color='#ffffff');


lzCustomLable($wp_customize, 'luzuk_sec_blogsectionpadding', 'testimonials_area', 'Set Padding For Testimonial Section:');

$wp_customize->add_setting(
    'sec_testimonialsectionTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionTpadding',
    array(
        'settings'      => 'sec_testimonialsectionTpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Top Padding', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting(
    'sec_testimonialsectionBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionBpadding',
    array(
        'settings'      => 'sec_testimonialsectionBpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Bottom Padding', 'Luzuk Premium' )
    )
);

$wp_customize->add_setting(
    'sec_testimonialsectionLpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionLpadding',
    array(
        'settings'      => 'sec_testimonialsectionLpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Left Padding', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting(
    'sec_testimonialsectionRpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionRpadding',
    array(
        'settings'      => 'sec_testimonialsectionRpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Right Padding', 'Luzuk Premium' )
    )
);

$wp_customize->add_setting(
    'luzuk_testimonials_title_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
       'luzuk_testimonials_title_subtitle_heading',
       array(
           'settings'      => 'luzuk_testimonials_title_subtitle_heading',
           'section'       => 'testimonials_area',
           'label'         => __( 'Section Title , Sub Title & Text', 'Luzuk Premium' ),
       )
   )
);
$wp_customize->add_setting(
    'testimonials_sub_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Testimonials', 'Luzuk Premium', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_sub_title',
    array(
        'settings'      => 'testimonials_sub_title',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Section Sub Title', 'Luzuk Premium' )
    )
);
addColorPalatOption($wp_customize, 'luzuk_testimonials_Subttlsolor', 'testimonials_area', 'Section Sub Title color', '#3d3d3d');

$wp_customize->add_setting(
    'testimonials_title',
    array(
       'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our Happy Customers', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_title',
    array(
       'settings'      => 'testimonials_title',
       'section'       => 'testimonials_area',
       'type'          => 'text',
       'label'         => __( 'Section Title', 'Luzuk Premium' )
    )
);


// Heading color
addColorPalatOption($wp_customize, 'luzuk_testimonials_mainHeadingColor', 'testimonials_area', 'Section Title color', '#1f1f1f');



$wp_customize->add_setting(
    'testimonials_sub_text',
    array(
       'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'The first draft is written and reviewed to create the first draft is written and reviewed', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_sub_text',
    array(
       'settings'      => 'testimonials_sub_text',
       'section'       => 'testimonials_area',
       'type'          => 'textarea',
       'label'         => __( 'Section Text', 'Luzuk Premium' )
    )
);


// text color
addColorPalatOption($wp_customize, 'luzuk_testimonials_sectextColor', 'testimonials_area', 'Section Text color', '#666666');

$TesimonialsSingleChoice[] = 'select';
if(!is_array($TesimonialsSingleChoice)){
    $wp_customize->add_setting('testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Info_Text( 
            $wp_customize,
            'testimonials_area_lbl',
            array(
                'settings'      => 'testimonials_area_lbl',
                'section'       => 'testimonials_area',
                'label'         => __( 'Note:', 'Luzuk Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the Testimonials.</strong> <br/>Please add the Testimonials from "Testimonials menu" and then select Testimonial to show information.', 'Luzuk Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('luzuk_premium_testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_testimonials_area_lbl',
        array(
            'settings'      => 'luzuk_premium_testimonials_area_lbl',
            'section'       => 'testimonials_area',
            'label'         => __( 'Note:', 'Luzuk Premium' ), 
            'description'   => __( 'Just place the shortcode "[TESTIMONIALS]" in your page to list the Testimonials in a page ', 'Luzuk Premium' ),
        )
    )
);
//TESTIMONIALS PAGES
for( $i = 1; $i < 10; $i++ ){
    $wp_customize->add_setting(
        'luzuk_testimonials_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_testimonials_heading'.$i,
            array(
                'settings'      => 'luzuk_testimonials_heading'.$i,
                'section'       => 'testimonials_area',
                'label'         => __( 'Testimonial', 'Luzuk Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'testimonials_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'testimonials_page'.$i,
        array(
            'settings'      => 'testimonials_page'.$i,
            'section'       => 'testimonials_area',
            'type'=> 'select',
            'label'         => __( 'Select a Client Testimonials', 'Luzuk Premium' ),
            'choices' => $TesimonialsSingleChoice,
        )
    );
}


addColorPalatOption($wp_customize, 'luzuk_testimonials_quotecolor', 'testimonials_area', ' Quote Color', '#f72985');

addColorPalatOption($wp_customize, 'luzuk_testimonials_textcolor', 'testimonials_area', ' Testimonial Color', '#666666');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Namecolor', 'testimonials_area', ' Client Name Color', '#3d3d3d');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Namehovercolor', 'testimonials_area', ' Client Name Hover Color', '#516bec');

addColorPalatOption($wp_customize, 'luzuk_testimonials_boxcolor', 'testimonials_area', ' Box Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_testimonials_indicatorcolor', 'testimonials_area', ' Indicator Color', '#fcbed9');

addColorPalatOption($wp_customize, 'luzuk_testimonials_indicatorActivecolor', 'testimonials_area', ' Active Indicator Color', '#f72985');


